#ifndef RPS_H_
#define RPS_H_

#include "AlgorithmFactory.h"

class RPS
{
public:
    /**
     * Constructor.
     * @param computer_algorithm_type the computer's choice algorithm.
     * @param max_rounds the max number of rounds per game.
     */
    RPS(const AlgorithmType computer_algorithm_type, const int max_rounds);
};

#endif /* RPS_H_ */
